"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _decoding = require('./decoding');
var _encoding = require('./encoding');
function createUint8ArrayFromLen(len) {
  return new Uint8Array(len);
}
function copyUint8Array(uint8Array) {
  const newBuf = createUint8ArrayFromLen(uint8Array.byteLength);
  newBuf.set(uint8Array);
  return newBuf;
}
function encodeAny(data) {
  const encoder = _encoding.createEncoder.call(void 0, );
  _encoding.writeAny.call(void 0, encoder, data);
  return _encoding.encodeToUint8Array.call(void 0, encoder);
}
function decodeAny(buf) {
  return _decoding.readAny.call(void 0, _decoding.createDecoder.call(void 0, buf));
}





exports.copyUint8Array = copyUint8Array; exports.createUint8ArrayFromLen = createUint8ArrayFromLen; exports.decodeAny = decodeAny; exports.encodeAny = encodeAny;
//# sourceMappingURL=buffer.cjs.map