"use strict";var _log = require('../../common/log');
var _lognode = require('./log-node');
describe("log-node", () => {
  it("should color log", async () => {
    _log.getGlobalLogger.call(void 0, ).setHandlers([_lognode.LoggerNodeHandler.call(void 0, )]);
    const log = _log.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(_lognode.loggerStackTraceDebug);
    log.error("error");
  });
  it("should find pattern", () => {
    _log.getGlobalLogger.call(void 0, ).setHandlers([
      _lognode.LoggerNodeHandler.call(void 0, {
        level: _log.LogLevelAll,
        filter: "*",
        stack: true
      })
    ]);
    const log = _log.DefaultLogger.call(void 0, "stack");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(_lognode.loggerStackTraceDebug);
    log.error("error");
  });
});
//# sourceMappingURL=log-node.spec.cjs.map