"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _common = require('../../common');
var _log = require('../../common/log');
var _platform = require('../../common/platform');
var _logbrowser = require('./log-browser');
var _logbrowserfactory = require('./log-browser-factory');
function Logger(name, level) {
  return _log.getGlobalLogger.call(void 0, (context) => {
    if (_platform.isBrowser.call(void 0, ) && !_common.isEmpty.call(void 0, localStorage.getItem("zeed"))) {
      context.setHandlers([_logbrowser.LoggerBrowserHandler.call(void 0, )]);
      context.setFactory(_logbrowserfactory.LoggerBrowserSetupDebugFactory.call(void 0, {}));
    }
  })(name, level);
}


exports.Logger = Logger;
//# sourceMappingURL=log-context-browser.cjs.map