function decimal(value, decimalPlaces = 2) {
  return +(+value).toFixed(decimalPlaces);
}
function decimalFromCents(value, decimalPlaces = 2) {
  return +(+value / 10 ** decimalPlaces).toFixed(decimalPlaces);
}
function decimalToCents(value, decimalPlaces = 2) {
  return Math.round(+value * 10 ** decimalPlaces);
}
function decimalCentsPart(value, decimalPlaces = 2) {
  return decimalPlaces * (decimal(value, decimalPlaces) % 1);
}
export {
  decimal,
  decimalCentsPart,
  decimalFromCents,
  decimalToCents
};
//# sourceMappingURL=decimal.js.map