"use strict";var _decimal = require('./decimal');
describe("currency", () => {
  it("should proove basic idea", () => {
    {
      const v = 0.3 - 0.1;
      expect(v).toBe(0.19999999999999998);
    }
    {
      const v = 3 - 1;
      expect(v).toBe(2);
    }
    {
      const v = 0.3 - 0.1;
      const vv = +v.toFixed(2);
      expect(vv).toBe(0.2);
    }
    expect(_decimal.decimal.call(void 0, 0.123)).toBe(0.12);
    expect(_decimal.decimal.call(void 0, 0.126)).toBe(0.13);
    expect(_decimal.decimal.call(void 0, 0.126, 3)).toBe(0.126);
    expect(_decimal.decimal.call(void 0, 0.126, 1)).toBe(0.1);
    expect(_decimal.decimal.call(void 0, 0.126, 0)).toBe(0);
    expect(_decimal.decimalFromCents.call(void 0, 123)).toBe(1.23);
    expect(_decimal.decimalToCents.call(void 0, 1.23)).toBe(123);
    {
      const v = _decimal.decimal.call(void 0, 0.3 - 0.1);
      const vv = +v.toFixed(2);
      expect(vv).toBe(0.2);
    }
  });
});
//# sourceMappingURL=decimal.spec.cjs.map