const rxEscape = /[\\\-\[\]\/{}()*+?.^$|]/g;
function escapeRegExp(value) {
  if (!value)
    return "";
  if (value instanceof RegExp)
    return value.source;
  return value.replace(rxEscape, "\\$&");
}
export {
  escapeRegExp
};
//# sourceMappingURL=regexp.js.map