function isHalf(value) {
  return Math.abs(value) % 1 === 0.5;
}
function isEven(value) {
  return value % 2 === 0;
}
const roundUp = (value) => Math.ceil(value);
const roundDown = (value) => Math.floor(value);
const roundHalfUp = (value) => Math.round(value);
const roundHalfOdd = (value) => {
  const rounded = Math.round(value);
  if (!isHalf(value))
    return rounded;
  return isEven(rounded) ? rounded - 1 : rounded;
};
const roundHalfAwayFromZero = (value) => {
  return isHalf(value) ? Math.sign(value) * Math.ceil(Math.abs(value)) : Math.round(value);
};
const roundHalfDown = (value) => isHalf(value) ? Math.floor(value) : Math.round(value);
const roundHalfEven = (value) => {
  const rounded = Math.round(value);
  if (!isHalf(value))
    return rounded;
  return isEven(rounded) ? rounded : rounded - 1;
};
const roundHalfTowardsZero = (value) => isHalf(value) ? Math.sign(value) * Math.floor(Math.abs(value)) : Math.round(value);
export {
  isEven,
  isHalf,
  roundDown,
  roundHalfAwayFromZero,
  roundHalfDown,
  roundHalfEven,
  roundHalfOdd,
  roundHalfTowardsZero,
  roundHalfUp,
  roundUp
};
//# sourceMappingURL=rounding.js.map