"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _time = require('../time');
var _logfilter = require('./log-filter');
function LoggerMemoryHandler(opt) {
  const { level = void 0, filter = void 0, messages = [] } = opt;
  const matchesNamespace = _logfilter.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _logfilter.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    msg.timestamp = _time.getTimestamp.call(void 0, );
    messages.push(msg);
  };
}


exports.LoggerMemoryHandler = LoggerMemoryHandler;
//# sourceMappingURL=log-memory.cjs.map