"use strict";var _vitest = require('vitest');
var _log = require('../log');
var _channel = require('./channel');
const log = _log.DefaultLogger.call(void 0, "test:channel");
describe("channel", () => {
  it("should fake2", (done) => {
    expect.assertions(1);
    const fn = _vitest.vi.fn();
    const [f1, f2] = _channel.createLocalChannelPair.call(void 0, );
    f1.on("message", fn);
    f2.on("message", fn);
    f2.postMessage("123");
    f1.postMessage("abc");
    expect(fn.mock.calls.map((c) => c[0].data)).toMatchInlineSnapshot(`
      Array [
        "123",
        "abc",
      ]
    `);
  });
});
//# sourceMappingURL=channel.spec.cjs.map