"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../data/utils');
class MemStorage {
  // private pretty: boolean = false
  // private objectFromString: (data: string) => any
  // private objectToString: (data: any) => string
  constructor(_opt = {}) {
    this.store = {};
  }
  setItem(key, value) {
    this.store[key] = _utils.cloneObject.call(void 0, value);
  }
  getItem(key) {
    return _utils.cloneObject.call(void 0, this.store[key]);
  }
  removeItem(key) {
    delete this.store[key];
  }
  clear() {
    this.store = {};
  }
  allKeys() {
    return Object.keys(this.store);
  }
}


exports.MemStorage = MemStorage;
//# sourceMappingURL=memstorage.cjs.map