"use strict";var _glob = require('./glob');
describe("glob.spec", () => {
  it("should match", async () => {
    let re = _glob.globToRegExp.call(void 0, "p*uck");
    expect(re.test("pot luck")).toBe(true);
    expect(re.test("pluck")).toBe(true);
    expect(re.test("puck")).toBe(true);
    re = _glob.globToRegExp.call(void 0, "*.min.js");
    expect(re.test("http://example.com/jquery.min.js")).toBe(true);
    expect(re.test("http://example.com/jquery.min.js.map")).toBe(false);
    re = _glob.globToRegExp.call(void 0, "*/www/*.js");
    expect(re.test("http://example.com/www/app.js")).toBe(true);
    expect(re.test("http://example.com/www/lib/factory-proxy-model-observer.js")).toBe(true);
    re = _glob.globToRegExp.call(void 0, "*/www/{*.js,*.html}", { extended: true });
    expect(re.test("http://example.com/www/app.js")).toBe(true);
    expect(re.test("http://example.com/www/index.html")).toBe(true);
  });
});
//# sourceMappingURL=glob.spec.cjs.map